> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vexelia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete SSH key

> Deletes an SSH key from the user account



## OpenAPI

````yaml DELETE /users/sshKeys/{id}
openapi: 3.0.1
info:
  title: Vexelia API
  description: >-
    The base Vexelia API for interfacing with the Vexelia platform through a
    REST interface.
  termsOfService: https://vexelia.com/terms
  contact:
    name: Support
    url: https://help.vexelia.com
    email: support@vexelia.com
  version: v0.0.1
servers:
  - url: https://api.vexelia.com
    description: The production Vexelia API
security:
  - bearer: []
tags:
  - name: Backup
    description: Controller that handles backing up and restoring VMs
  - name: HostNode
    description: Controller that handles getting and updating host nodes
  - name: Network
    description: Controller that handles network management for the platform
  - name: Node
    description: Handles the management of VPS servers and dedicated servers (nodes)
  - name: Payment
    description: Handles all payment-related systems and webhooks
  - name: Plan
    description: Controller that handles managing pricing plans
  - name: Template
    description: Manages templates for Proxmox
  - name: User
    description: >-
      Handles all user-related functions such as creating and authenticating
      users
  - name: Vnc
    description: Handles proxying VNC websockets to client safely
paths:
  /users/sshKeys/{id}:
    delete:
      tags:
        - User
      summary: Delete SSH key
      description: Deletes an SSH key from the user account
      parameters:
        - name: id
          in: path
          description: The ID of the SSH key
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The SSH key was deleted
        '401':
          description: Bad user authorization
        '404':
          description: The given SSH key ID was not found
components:
  securitySchemes:
    bearer:
      type: http
      description: Your API key goes here, you can generate one in your account settings.
      scheme: bearer
      bearerFormat: JWT

````